RED='\033[0;31m'
GREEN='\033[0;32m'
NC='\033[0m'

if ping -q -c 1 -W 1 8.8.8.8 >/dev/null; then
  echo "Internet is up"
else
  echo "Internet is down, Please connect to internet and try again."
  exit
fi

  echo -e "------------------------${GREEN}Downloading and Installing all the required dependencies for EyeRIS${NC}-------------------------"
  echo -e "------------------------${GREEN}Installing libtbb2${NC}-------------------------"
  sudo apt-get install -y libtbb2
  if [ $? -eq 0 ]; then
    echo -e "${GREEN}Installed libtbb2${NC}"
  else
    echo -e "${RED}ERROR: Failed to Install libtbb2, Please check your internet and run the ./install_dependencies again.${NC}"
    exit 1
  fi
  echo -e "------------------------${GREEN}Installing xdotool${NC}-------------------------"  
  sudo apt-get install -y xdotool
  if [ $? -eq 0 ]; then
    echo -e "${GREEN}Installed xdotool${NC}"
  else
    echo -e "${RED}ERROR: Failed to Install xdotool, Please check your internet and run the ./install_dependencies again.${NC}"
    exit 1
  fi
  echo -e "------------------------${GREEN}Installing libnotify4${NC}-------------------------"
  sudo apt-get install -y libnotify4
  if [ $? -eq 0 ]; then
    echo -e "${GREEN}Installed libnotify4${NC}"
  else
    echo -e "${RED}ERROR: Failed to Install libnotify4, Please check your internet and run the ./install_dependencies again.${NC}"
    exit 1
  fi
  echo -e "------------------------${GREEN}Installing libxdo-dev${NC}-------------------------"
  sudo apt-get install -y libxdo-dev
  if [ $? -eq 0 ]; then
    echo -e "${GREEN}Installed libxdo-dev${NC}"
  else
    echo -e "${RED}ERROR: Failed to Install libxdo-dev, Please check your internet and run the ./install_dependencies again.${NC}"
    exit 1
  fi
  echo -e "------------------------${GREEN}Installing openexr${NC}-------------------------"
  sudo apt-get install -y openexr
  if [ $? -eq 0 ]; then
    echo -e "${GREEN}Installed openexr${NC}"
  else
    echo -e "${RED}ERROR: Failed to Install openexr, Please check your internet and run the ./install_dependencies again.${NC}"
    exit 1
  fi
  echo -e "------------------------${GREEN}Installing libopenexr-dev${NC}-------------------------"
  sudo apt-get install -y libopenexr-dev
  if [ $? -eq 0 ]; then
    echo -e "${GREEN}Installed libopenexr-dev${NC}"
  else
    echo -e "${RED}ERROR: Failed to Install libopenexr-dev, Please check your internet and run the ./install_dependencies again.${NC}"
    exit 1
  fi
  echo -e "------------------------${GREEN}Installing libpng16-16${NC}-------------------------"
  sudo apt-get install -y libpng16-16
  if [ $? -eq 0 ]; then
    echo -e "${GREEN}Installed libpng16-16${NC}"
  else
    echo -e "${RED}ERROR: Failed to Install libpng16-16, Please check your internet and run the ./install_dependencies again.${NC}"
    exit 1
  fi
  echo -e "------------------------${GREEN}Installing stress dependency${NC}-------------------------"
  sudo apt-get install -y stress
  if [ $? -eq 0 ]; then
    echo -e "${GREEN}Installed stress dependency${NC}"
  else
    echo -e "${RED}ERROR: Failed to Install stress dependency, Please check your internet and run the ./install_dependencies again.${NC}"
    exit 1
  fi
  echo -e "------------------------${GREEN}Installing stress-ng dependency${NC}-------------------------"
  sudo apt-get install -y stress-ng
  if [ $? -eq 0 ]; then
    echo -e "${GREEN}Installed stress-ng dependency${NC}"
  else
    echo -e "${RED}ERROR: Failed to Install stress-ng dependency, Please check your internet and run the ./install_dependencies again.${NC}"
    exit 1
  fi
  echo -e "------------------------${GREEN}Finished Installing all the dependencies.${NC}-------------------------"
